info.bioinfweb.jphyloio.formats.xml.receivers

## Class AbstractXMLDataReceiver<P extends XMLWriterStreamDataProvider<? extends AbstractXMLEventWriter<P>>>

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.receivers.BasicEventReceiver<P>
  - - info.bioinfweb.jphyloio.formats.xml.receivers.AbstractXMLDataReceiver<P>

- All Implemented Interfaces:
    JPhyloIOEventReceiver
  Direct Known Subclasses:
    AbstractNeXMLDataReceiver, PhyloXMLCollectMetadataDataReceiver, PhyloXMLMetaDataReceiver

      public abstract class AbstractXMLDataReceiver<P extends XMLWriterStreamDataProvider<? extends AbstractXMLEventWriter<P>>>
      extends BasicEventReceiver<P>

  Abstract implementation of a data receiver that can be used to write XML formats.

  Functionality implemented here is commonly used by inheriting receivers.

  Author:
    Sarah Wiechers

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXMLDataReceiver(P streamDataProvider, ReadWriteParameterMap parameterMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleComment(CommentEvent event)`

    - ### Methods inherited from class info.bioinfweb.jphyloio.dataadapters.implementations.receivers.BasicEventReceiver

      `add, addIgnoredComments, addIgnoredLiteralMetadata, addIgnoredResourceMetadata, addIgnoreLogMessage, didIgnoreComments, didIgnoreLiteralMetadata, didIgnoreMetadata, didIgnoreResourceMetadata, doAdd, getIgnoredComments, getIgnoredLiteralMetadata, getIgnoredMetadata, getIgnoredResourceMetadata, getLogger, getParameterMap, getParentEvent, getParentEvents, getStreamDataProvider, handleLiteralContentMeta, handleLiteralMetaStart, handleMetaEndEvent, handleResourceMetaStart, isInComment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXMLDataReceiver

          public AbstractXMLDataReceiver(P streamDataProvider,
                                         ReadWriteParameterMap parameterMap)

  - ### Method Detail

    - #### handleComment

          protected void handleComment(CommentEvent event)
                                throws java.io.IOException,
                                       javax.xml.stream.XMLStreamException

      Overrides:
        `handleComment` in class `BasicEventReceiver<P extends XMLWriterStreamDataProvider<? extends AbstractXMLEventWriter<P>>>`
      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`